Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network107.7.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
107.7.0.0
Broadcast address
107.7.63.255
First usable
107.7.0.1
Last usable
107.7.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 6B070000 · Integer 1795620864 to 1795637247
Reverse DNS zones
0.7.107.in-addr.arpa
1.7.107.in-addr.arpa
2.7.107.in-addr.arpa
3.7.107.in-addr.arpa
4.7.107.in-addr.arpa
5.7.107.in-addr.arpa
6.7.107.in-addr.arpa
7.7.107.in-addr.arpa
8.7.107.in-addr.arpa
9.7.107.in-addr.arpa
10.7.107.in-addr.arpa
11.7.107.in-addr.arpa
12.7.107.in-addr.arpa
13.7.107.in-addr.arpa
14.7.107.in-addr.arpa
15.7.107.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101011.00000111.00000000.00000000107.7.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01101011.00000111.00000000.00000000107.7.0.0
Broadcast01101011.00000111.00111111.11111111107.7.63.255
Split into smaller subnets/29

107.7.0.0/18 makes 2,048 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1107.7.0.0/29107.7.0.1 to 107.7.0.6107.7.0.76
2107.7.0.8/29107.7.0.9 to 107.7.0.14107.7.0.156
3107.7.0.16/29107.7.0.17 to 107.7.0.22107.7.0.236
4107.7.0.24/29107.7.0.25 to 107.7.0.30107.7.0.316
5107.7.0.32/29107.7.0.33 to 107.7.0.38107.7.0.396
6107.7.0.40/29107.7.0.41 to 107.7.0.46107.7.0.476
7107.7.0.48/29107.7.0.49 to 107.7.0.54107.7.0.556
8107.7.0.56/29107.7.0.57 to 107.7.0.62107.7.0.636
9107.7.0.64/29107.7.0.65 to 107.7.0.70107.7.0.716
10107.7.0.72/29107.7.0.73 to 107.7.0.78107.7.0.796
11107.7.0.80/29107.7.0.81 to 107.7.0.86107.7.0.876
12107.7.0.88/29107.7.0.89 to 107.7.0.94107.7.0.956
13107.7.0.96/29107.7.0.97 to 107.7.0.102107.7.0.1036
14107.7.0.104/29107.7.0.105 to 107.7.0.110107.7.0.1116
15107.7.0.112/29107.7.0.113 to 107.7.0.118107.7.0.1196
16107.7.0.120/29107.7.0.121 to 107.7.0.126107.7.0.1276
17107.7.0.128/29107.7.0.129 to 107.7.0.134107.7.0.1356
18107.7.0.136/29107.7.0.137 to 107.7.0.142107.7.0.1436
19107.7.0.144/29107.7.0.145 to 107.7.0.150107.7.0.1516
20107.7.0.152/29107.7.0.153 to 107.7.0.158107.7.0.1596
21107.7.0.160/29107.7.0.161 to 107.7.0.166107.7.0.1676
22107.7.0.168/29107.7.0.169 to 107.7.0.174107.7.0.1756
23107.7.0.176/29107.7.0.177 to 107.7.0.182107.7.0.1836
24107.7.0.184/29107.7.0.185 to 107.7.0.190107.7.0.1916
25107.7.0.192/29107.7.0.193 to 107.7.0.198107.7.0.1996
26107.7.0.200/29107.7.0.201 to 107.7.0.206107.7.0.2076
27107.7.0.208/29107.7.0.209 to 107.7.0.214107.7.0.2156
28107.7.0.216/29107.7.0.217 to 107.7.0.222107.7.0.2236
29107.7.0.224/29107.7.0.225 to 107.7.0.230107.7.0.2316
30107.7.0.232/29107.7.0.233 to 107.7.0.238107.7.0.2396
31107.7.0.240/29107.7.0.241 to 107.7.0.246107.7.0.2476
32107.7.0.248/29107.7.0.249 to 107.7.0.254107.7.0.2556
33107.7.1.0/29107.7.1.1 to 107.7.1.6107.7.1.76
34107.7.1.8/29107.7.1.9 to 107.7.1.14107.7.1.156
35107.7.1.16/29107.7.1.17 to 107.7.1.22107.7.1.236
36107.7.1.24/29107.7.1.25 to 107.7.1.30107.7.1.316
37107.7.1.32/29107.7.1.33 to 107.7.1.38107.7.1.396
38107.7.1.40/29107.7.1.41 to 107.7.1.46107.7.1.476
39107.7.1.48/29107.7.1.49 to 107.7.1.54107.7.1.556
40107.7.1.56/29107.7.1.57 to 107.7.1.62107.7.1.636
41107.7.1.64/29107.7.1.65 to 107.7.1.70107.7.1.716
42107.7.1.72/29107.7.1.73 to 107.7.1.78107.7.1.796
43107.7.1.80/29107.7.1.81 to 107.7.1.86107.7.1.876
44107.7.1.88/29107.7.1.89 to 107.7.1.94107.7.1.956
45107.7.1.96/29107.7.1.97 to 107.7.1.102107.7.1.1036
46107.7.1.104/29107.7.1.105 to 107.7.1.110107.7.1.1116
47107.7.1.112/29107.7.1.113 to 107.7.1.118107.7.1.1196
48107.7.1.120/29107.7.1.121 to 107.7.1.126107.7.1.1276
49107.7.1.128/29107.7.1.129 to 107.7.1.134107.7.1.1356
50107.7.1.136/29107.7.1.137 to 107.7.1.142107.7.1.1436
51107.7.1.144/29107.7.1.145 to 107.7.1.150107.7.1.1516
52107.7.1.152/29107.7.1.153 to 107.7.1.158107.7.1.1596
53107.7.1.160/29107.7.1.161 to 107.7.1.166107.7.1.1676
54107.7.1.168/29107.7.1.169 to 107.7.1.174107.7.1.1756
55107.7.1.176/29107.7.1.177 to 107.7.1.182107.7.1.1836
56107.7.1.184/29107.7.1.185 to 107.7.1.190107.7.1.1916
57107.7.1.192/29107.7.1.193 to 107.7.1.198107.7.1.1996
58107.7.1.200/29107.7.1.201 to 107.7.1.206107.7.1.2076
59107.7.1.208/29107.7.1.209 to 107.7.1.214107.7.1.2156
60107.7.1.216/29107.7.1.217 to 107.7.1.222107.7.1.2236
61107.7.1.224/29107.7.1.225 to 107.7.1.230107.7.1.2316
62107.7.1.232/29107.7.1.233 to 107.7.1.238107.7.1.2396
63107.7.1.240/29107.7.1.241 to 107.7.1.246107.7.1.2476
64107.7.1.248/29107.7.1.249 to 107.7.1.254107.7.1.2556
65107.7.2.0/29107.7.2.1 to 107.7.2.6107.7.2.76
66107.7.2.8/29107.7.2.9 to 107.7.2.14107.7.2.156
67107.7.2.16/29107.7.2.17 to 107.7.2.22107.7.2.236
68107.7.2.24/29107.7.2.25 to 107.7.2.30107.7.2.316
69107.7.2.32/29107.7.2.33 to 107.7.2.38107.7.2.396
70107.7.2.40/29107.7.2.41 to 107.7.2.46107.7.2.476
71107.7.2.48/29107.7.2.49 to 107.7.2.54107.7.2.556
72107.7.2.56/29107.7.2.57 to 107.7.2.62107.7.2.636
73107.7.2.64/29107.7.2.65 to 107.7.2.70107.7.2.716
74107.7.2.72/29107.7.2.73 to 107.7.2.78107.7.2.796
75107.7.2.80/29107.7.2.81 to 107.7.2.86107.7.2.876
76107.7.2.88/29107.7.2.89 to 107.7.2.94107.7.2.956
77107.7.2.96/29107.7.2.97 to 107.7.2.102107.7.2.1036
78107.7.2.104/29107.7.2.105 to 107.7.2.110107.7.2.1116
79107.7.2.112/29107.7.2.113 to 107.7.2.118107.7.2.1196
80107.7.2.120/29107.7.2.121 to 107.7.2.126107.7.2.1276
81107.7.2.128/29107.7.2.129 to 107.7.2.134107.7.2.1356
82107.7.2.136/29107.7.2.137 to 107.7.2.142107.7.2.1436
83107.7.2.144/29107.7.2.145 to 107.7.2.150107.7.2.1516
84107.7.2.152/29107.7.2.153 to 107.7.2.158107.7.2.1596
85107.7.2.160/29107.7.2.161 to 107.7.2.166107.7.2.1676
86107.7.2.168/29107.7.2.169 to 107.7.2.174107.7.2.1756
87107.7.2.176/29107.7.2.177 to 107.7.2.182107.7.2.1836
88107.7.2.184/29107.7.2.185 to 107.7.2.190107.7.2.1916
89107.7.2.192/29107.7.2.193 to 107.7.2.198107.7.2.1996
90107.7.2.200/29107.7.2.201 to 107.7.2.206107.7.2.2076
91107.7.2.208/29107.7.2.209 to 107.7.2.214107.7.2.2156
92107.7.2.216/29107.7.2.217 to 107.7.2.222107.7.2.2236
93107.7.2.224/29107.7.2.225 to 107.7.2.230107.7.2.2316
94107.7.2.232/29107.7.2.233 to 107.7.2.238107.7.2.2396
95107.7.2.240/29107.7.2.241 to 107.7.2.246107.7.2.2476
96107.7.2.248/29107.7.2.249 to 107.7.2.254107.7.2.2556
97107.7.3.0/29107.7.3.1 to 107.7.3.6107.7.3.76
98107.7.3.8/29107.7.3.9 to 107.7.3.14107.7.3.156
99107.7.3.16/29107.7.3.17 to 107.7.3.22107.7.3.236
100107.7.3.24/29107.7.3.25 to 107.7.3.30107.7.3.316
101107.7.3.32/29107.7.3.33 to 107.7.3.38107.7.3.396
102107.7.3.40/29107.7.3.41 to 107.7.3.46107.7.3.476
103107.7.3.48/29107.7.3.49 to 107.7.3.54107.7.3.556
104107.7.3.56/29107.7.3.57 to 107.7.3.62107.7.3.636
105107.7.3.64/29107.7.3.65 to 107.7.3.70107.7.3.716
106107.7.3.72/29107.7.3.73 to 107.7.3.78107.7.3.796
107107.7.3.80/29107.7.3.81 to 107.7.3.86107.7.3.876
108107.7.3.88/29107.7.3.89 to 107.7.3.94107.7.3.956
109107.7.3.96/29107.7.3.97 to 107.7.3.102107.7.3.1036
110107.7.3.104/29107.7.3.105 to 107.7.3.110107.7.3.1116
111107.7.3.112/29107.7.3.113 to 107.7.3.118107.7.3.1196
112107.7.3.120/29107.7.3.121 to 107.7.3.126107.7.3.1276
113107.7.3.128/29107.7.3.129 to 107.7.3.134107.7.3.1356
114107.7.3.136/29107.7.3.137 to 107.7.3.142107.7.3.1436
115107.7.3.144/29107.7.3.145 to 107.7.3.150107.7.3.1516
116107.7.3.152/29107.7.3.153 to 107.7.3.158107.7.3.1596
117107.7.3.160/29107.7.3.161 to 107.7.3.166107.7.3.1676
118107.7.3.168/29107.7.3.169 to 107.7.3.174107.7.3.1756
119107.7.3.176/29107.7.3.177 to 107.7.3.182107.7.3.1836
120107.7.3.184/29107.7.3.185 to 107.7.3.190107.7.3.1916
121107.7.3.192/29107.7.3.193 to 107.7.3.198107.7.3.1996
122107.7.3.200/29107.7.3.201 to 107.7.3.206107.7.3.2076
123107.7.3.208/29107.7.3.209 to 107.7.3.214107.7.3.2156
124107.7.3.216/29107.7.3.217 to 107.7.3.222107.7.3.2236
125107.7.3.224/29107.7.3.225 to 107.7.3.230107.7.3.2316
126107.7.3.232/29107.7.3.233 to 107.7.3.238107.7.3.2396
127107.7.3.240/29107.7.3.241 to 107.7.3.246107.7.3.2476
128107.7.3.248/29107.7.3.249 to 107.7.3.254107.7.3.2556
129107.7.4.0/29107.7.4.1 to 107.7.4.6107.7.4.76
130107.7.4.8/29107.7.4.9 to 107.7.4.14107.7.4.156
131107.7.4.16/29107.7.4.17 to 107.7.4.22107.7.4.236
132107.7.4.24/29107.7.4.25 to 107.7.4.30107.7.4.316
133107.7.4.32/29107.7.4.33 to 107.7.4.38107.7.4.396
134107.7.4.40/29107.7.4.41 to 107.7.4.46107.7.4.476
135107.7.4.48/29107.7.4.49 to 107.7.4.54107.7.4.556
136107.7.4.56/29107.7.4.57 to 107.7.4.62107.7.4.636
137107.7.4.64/29107.7.4.65 to 107.7.4.70107.7.4.716
138107.7.4.72/29107.7.4.73 to 107.7.4.78107.7.4.796
139107.7.4.80/29107.7.4.81 to 107.7.4.86107.7.4.876
140107.7.4.88/29107.7.4.89 to 107.7.4.94107.7.4.956
141107.7.4.96/29107.7.4.97 to 107.7.4.102107.7.4.1036
142107.7.4.104/29107.7.4.105 to 107.7.4.110107.7.4.1116
143107.7.4.112/29107.7.4.113 to 107.7.4.118107.7.4.1196
144107.7.4.120/29107.7.4.121 to 107.7.4.126107.7.4.1276
145107.7.4.128/29107.7.4.129 to 107.7.4.134107.7.4.1356
146107.7.4.136/29107.7.4.137 to 107.7.4.142107.7.4.1436
147107.7.4.144/29107.7.4.145 to 107.7.4.150107.7.4.1516
148107.7.4.152/29107.7.4.153 to 107.7.4.158107.7.4.1596
149107.7.4.160/29107.7.4.161 to 107.7.4.166107.7.4.1676
150107.7.4.168/29107.7.4.169 to 107.7.4.174107.7.4.1756
151107.7.4.176/29107.7.4.177 to 107.7.4.182107.7.4.1836
152107.7.4.184/29107.7.4.185 to 107.7.4.190107.7.4.1916
153107.7.4.192/29107.7.4.193 to 107.7.4.198107.7.4.1996
154107.7.4.200/29107.7.4.201 to 107.7.4.206107.7.4.2076
155107.7.4.208/29107.7.4.209 to 107.7.4.214107.7.4.2156
156107.7.4.216/29107.7.4.217 to 107.7.4.222107.7.4.2236
157107.7.4.224/29107.7.4.225 to 107.7.4.230107.7.4.2316
158107.7.4.232/29107.7.4.233 to 107.7.4.238107.7.4.2396
159107.7.4.240/29107.7.4.241 to 107.7.4.246107.7.4.2476
160107.7.4.248/29107.7.4.249 to 107.7.4.254107.7.4.2556
161107.7.5.0/29107.7.5.1 to 107.7.5.6107.7.5.76
162107.7.5.8/29107.7.5.9 to 107.7.5.14107.7.5.156
163107.7.5.16/29107.7.5.17 to 107.7.5.22107.7.5.236
164107.7.5.24/29107.7.5.25 to 107.7.5.30107.7.5.316
165107.7.5.32/29107.7.5.33 to 107.7.5.38107.7.5.396
166107.7.5.40/29107.7.5.41 to 107.7.5.46107.7.5.476
167107.7.5.48/29107.7.5.49 to 107.7.5.54107.7.5.556
168107.7.5.56/29107.7.5.57 to 107.7.5.62107.7.5.636
169107.7.5.64/29107.7.5.65 to 107.7.5.70107.7.5.716
170107.7.5.72/29107.7.5.73 to 107.7.5.78107.7.5.796
171107.7.5.80/29107.7.5.81 to 107.7.5.86107.7.5.876
172107.7.5.88/29107.7.5.89 to 107.7.5.94107.7.5.956
173107.7.5.96/29107.7.5.97 to 107.7.5.102107.7.5.1036
174107.7.5.104/29107.7.5.105 to 107.7.5.110107.7.5.1116
175107.7.5.112/29107.7.5.113 to 107.7.5.118107.7.5.1196
176107.7.5.120/29107.7.5.121 to 107.7.5.126107.7.5.1276
177107.7.5.128/29107.7.5.129 to 107.7.5.134107.7.5.1356
178107.7.5.136/29107.7.5.137 to 107.7.5.142107.7.5.1436
179107.7.5.144/29107.7.5.145 to 107.7.5.150107.7.5.1516
180107.7.5.152/29107.7.5.153 to 107.7.5.158107.7.5.1596
181107.7.5.160/29107.7.5.161 to 107.7.5.166107.7.5.1676
182107.7.5.168/29107.7.5.169 to 107.7.5.174107.7.5.1756
183107.7.5.176/29107.7.5.177 to 107.7.5.182107.7.5.1836
184107.7.5.184/29107.7.5.185 to 107.7.5.190107.7.5.1916
185107.7.5.192/29107.7.5.193 to 107.7.5.198107.7.5.1996
186107.7.5.200/29107.7.5.201 to 107.7.5.206107.7.5.2076
187107.7.5.208/29107.7.5.209 to 107.7.5.214107.7.5.2156
188107.7.5.216/29107.7.5.217 to 107.7.5.222107.7.5.2236
189107.7.5.224/29107.7.5.225 to 107.7.5.230107.7.5.2316
190107.7.5.232/29107.7.5.233 to 107.7.5.238107.7.5.2396
191107.7.5.240/29107.7.5.241 to 107.7.5.246107.7.5.2476
192107.7.5.248/29107.7.5.249 to 107.7.5.254107.7.5.2556
193107.7.6.0/29107.7.6.1 to 107.7.6.6107.7.6.76
194107.7.6.8/29107.7.6.9 to 107.7.6.14107.7.6.156
195107.7.6.16/29107.7.6.17 to 107.7.6.22107.7.6.236
196107.7.6.24/29107.7.6.25 to 107.7.6.30107.7.6.316
197107.7.6.32/29107.7.6.33 to 107.7.6.38107.7.6.396
198107.7.6.40/29107.7.6.41 to 107.7.6.46107.7.6.476
199107.7.6.48/29107.7.6.49 to 107.7.6.54107.7.6.556
200107.7.6.56/29107.7.6.57 to 107.7.6.62107.7.6.636
201107.7.6.64/29107.7.6.65 to 107.7.6.70107.7.6.716
202107.7.6.72/29107.7.6.73 to 107.7.6.78107.7.6.796
203107.7.6.80/29107.7.6.81 to 107.7.6.86107.7.6.876
204107.7.6.88/29107.7.6.89 to 107.7.6.94107.7.6.956
205107.7.6.96/29107.7.6.97 to 107.7.6.102107.7.6.1036
206107.7.6.104/29107.7.6.105 to 107.7.6.110107.7.6.1116
207107.7.6.112/29107.7.6.113 to 107.7.6.118107.7.6.1196
208107.7.6.120/29107.7.6.121 to 107.7.6.126107.7.6.1276
209107.7.6.128/29107.7.6.129 to 107.7.6.134107.7.6.1356
210107.7.6.136/29107.7.6.137 to 107.7.6.142107.7.6.1436
211107.7.6.144/29107.7.6.145 to 107.7.6.150107.7.6.1516
212107.7.6.152/29107.7.6.153 to 107.7.6.158107.7.6.1596
213107.7.6.160/29107.7.6.161 to 107.7.6.166107.7.6.1676
214107.7.6.168/29107.7.6.169 to 107.7.6.174107.7.6.1756
215107.7.6.176/29107.7.6.177 to 107.7.6.182107.7.6.1836
216107.7.6.184/29107.7.6.185 to 107.7.6.190107.7.6.1916
217107.7.6.192/29107.7.6.193 to 107.7.6.198107.7.6.1996
218107.7.6.200/29107.7.6.201 to 107.7.6.206107.7.6.2076
219107.7.6.208/29107.7.6.209 to 107.7.6.214107.7.6.2156
220107.7.6.216/29107.7.6.217 to 107.7.6.222107.7.6.2236
221107.7.6.224/29107.7.6.225 to 107.7.6.230107.7.6.2316
222107.7.6.232/29107.7.6.233 to 107.7.6.238107.7.6.2396
223107.7.6.240/29107.7.6.241 to 107.7.6.246107.7.6.2476
224107.7.6.248/29107.7.6.249 to 107.7.6.254107.7.6.2556
225107.7.7.0/29107.7.7.1 to 107.7.7.6107.7.7.76
226107.7.7.8/29107.7.7.9 to 107.7.7.14107.7.7.156
227107.7.7.16/29107.7.7.17 to 107.7.7.22107.7.7.236
228107.7.7.24/29107.7.7.25 to 107.7.7.30107.7.7.316
229107.7.7.32/29107.7.7.33 to 107.7.7.38107.7.7.396
230107.7.7.40/29107.7.7.41 to 107.7.7.46107.7.7.476
231107.7.7.48/29107.7.7.49 to 107.7.7.54107.7.7.556
232107.7.7.56/29107.7.7.57 to 107.7.7.62107.7.7.636
233107.7.7.64/29107.7.7.65 to 107.7.7.70107.7.7.716
234107.7.7.72/29107.7.7.73 to 107.7.7.78107.7.7.796
235107.7.7.80/29107.7.7.81 to 107.7.7.86107.7.7.876
236107.7.7.88/29107.7.7.89 to 107.7.7.94107.7.7.956
237107.7.7.96/29107.7.7.97 to 107.7.7.102107.7.7.1036
238107.7.7.104/29107.7.7.105 to 107.7.7.110107.7.7.1116
239107.7.7.112/29107.7.7.113 to 107.7.7.118107.7.7.1196
240107.7.7.120/29107.7.7.121 to 107.7.7.126107.7.7.1276
241107.7.7.128/29107.7.7.129 to 107.7.7.134107.7.7.1356
242107.7.7.136/29107.7.7.137 to 107.7.7.142107.7.7.1436
243107.7.7.144/29107.7.7.145 to 107.7.7.150107.7.7.1516
244107.7.7.152/29107.7.7.153 to 107.7.7.158107.7.7.1596
245107.7.7.160/29107.7.7.161 to 107.7.7.166107.7.7.1676
246107.7.7.168/29107.7.7.169 to 107.7.7.174107.7.7.1756
247107.7.7.176/29107.7.7.177 to 107.7.7.182107.7.7.1836
248107.7.7.184/29107.7.7.185 to 107.7.7.190107.7.7.1916
249107.7.7.192/29107.7.7.193 to 107.7.7.198107.7.7.1996
250107.7.7.200/29107.7.7.201 to 107.7.7.206107.7.7.2076
251107.7.7.208/29107.7.7.209 to 107.7.7.214107.7.7.2156
252107.7.7.216/29107.7.7.217 to 107.7.7.222107.7.7.2236
253107.7.7.224/29107.7.7.225 to 107.7.7.230107.7.7.2316
254107.7.7.232/29107.7.7.233 to 107.7.7.238107.7.7.2396
255107.7.7.240/29107.7.7.241 to 107.7.7.246107.7.7.2476
256107.7.7.248/29107.7.7.249 to 107.7.7.254107.7.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses